//-------------------------------------------------------------------------------------------------------------------------------
{Zavola program pro komunikaci s Adroidem pres MTP/PTP}
//function RunMTPCommand(command: string; const parameters: array of string ;ResultToFile :Boolean): string ;
//var
//  cmd: string;
//  resultFile : string;
//  script : string;
//  i : integer;
//begin
//  cmd := '"' + MakroPath + 'mtp-cli" ' + command;
//  for i:= 0 to high(parameters) do begin
//    cmd:= cmd + ' "' + parameters[i] + '"';
//  end;
//  LogWork(cmd);
//  resultFile := MakroPath + 'Data\mtp-' + command +'.txt';
//  Result:='';
//  LogWork(cmd);
//  RunProc(cmd,'mtp-' + command,ResultToFile);
//  if FileExists(resultFile) then begin
//      script := FileToString(resultFile);
//      if (script = '') OR (pos('WARNING', script) <> 0) then ShowMessage(_('Reading of database list failed.')+CRLF+CRLF+_('Error code:') +CRLF+ script)
//      else begin
//          Result:=script;
//      end;
//  end;
//  GB_Clean;
//end;
//-------------------------------------------------------------------------------------------------------------------------------
{Inicializuje DLL pro komunikaci s Adroidem pres MTP/PTP}
function InitMTPClient() : Variant;
begin
  Result:= CreateOleObject('mtp.MTPClient');
end;
//-------------------------------------------------------------------------------------------------------------------------------
Function MtpGetDatabases(const parentPath,extension :string) : array of string;
var
    mtpClient : Variant;
begin
    mtpClient := InitMTPClient();
    Result:=mtpClient.ListDatabases(parentPath,extension);
end;
//-------------------------------------------------------------------------------------------------------------------------------
Function MtpVerify(const searchedFile :string) : Boolean;
var
    mtpClient : Variant;
begin
    mtpClient := InitMTPClient();
    Result:=mtpClient.Verify(searchedFile);
end;
//-------------------------------------------------------------------------------------------------------------------------------
Function MtpSearch(const searchedFile :string) : String;
var
    mtpClient : Variant;
begin
    mtpClient := InitMTPClient();
    Result:=mtpClient.Search(searchedFile);
end;
//-------------------------------------------------------------------------------------------------------------------------------
Function MtpGetFile(const sourceFile:string; const targetFile: string): Boolean;
var
    mtpClient : Variant;
begin
    mtpClient := InitMTPClient();
    mtpClient.GetFile(targetFile,sourceFile);
    Result:= FileExists(targetFile);
end;
//-------------------------------------------------------------------------------------------------------------------------------
Function MtpPutFile(const sourceFile:string; const targetFile: string): Boolean;
var
    mtpClient : Variant;
begin
  mtpClient := InitMTPClient();
  Result:= mtpClient.PutFile(sourceFile,targetFile);
end;
