
{$INCLUDE aDrakeSync.var.pas}            // deklarace

{$INCLUDE aDrakeSync.config.pas}         // konfiguracni konstanty
{$INCLUDE aDrakeSync.lib.mtp.pas}        // knihovna funkci pro komunikaci pre prokotol MTP
{$INCLUDE aDrakeSync.lib.pas}            // knihovna zakladnich funkci
{$INCLUDE aDrakeSync.lib.ini.pas}        // knihovna funkci pro praci s ini souborem

function InstallWork: String;
var MakroPath : String;
begin

  MakroPath := ReplaceString(Geoget_ScriptFullName, Geoget_ScriptName, '');

  // show ChangeLog
  InsForm_mem_ChangeLog.Lines.Clear;
  if FileExists(MakroPath + 'ChangeLog.txt') then begin
    InsForm_mem_ChangeLog.Lines.Add(FileToString(MakroPath + 'ChangeLog.txt'));
  end;
  InsForm_lbl_PlgVerPrvValue.Caption := GeoGetPackagePreviousVersion(MakroPath + 'aDrakeSync.meta.ini');
  InsForm_lbl_PlgVerCurValue.Caption := GeoGetPackageVersion        (MakroPath + 'aDrakeSync.meta.ini');
  InsForm.ShowModal;

  // v ini prepise klic 'db_LastUpload' - zmena typu klice (pokud je puvodni verze < 0.1.0)
  if CompareVer('0.1.0', GeoGetPackagePreviousVersion(MakroPath + 'aDrakeSync.meta.ini')) then  begin
    SaveIniFloatValue('DEFAULT', 'db_LastUpload', (LoadIniIntValue('DEFAULT', 'db_LastUpload', Trunc(now)) + 0.5));                                
  end;

  Result :='';  // probehlo bez chyby
end;

function UninstallWork: string;
begin
  Result :='';  // probehlo bez chyby             
end;
