//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Update database GG Settings}
procedure form_ShowUpd_db_GG_Set_Form(Sender: TObject);
begin
  UpdGGForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Update database AD Settings}
procedure form_ShowUpd_db_AD_Set_Form(Sender: TObject);
begin
  UpdADForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Settings}
procedure form_ShowSetForm(Sender: TObject);
begin
  if SetForm.ShowModal = 1 then begin
    // Ulozeni aktualni konfigurace do aktualniho profilu
    SaveIniSetForm('DEFAULT');
    CheckUpdate;  // aktualizuje objekty formulare souvisejici s aktualizaci
  end
  else begin
    ReadIniSetForm('DEFAULT');
  end;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi okno Log}
procedure form_ShowLogForm(Sender: TObject);
begin
  LogFill;
  LogForm.ShowModal;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Zobrazi Help}
procedure form_Help(Sender: TObject);
begin
  RunShell('http://geoget.ararat.cz/doku.php/user:skript:adrakesync');
end;
//===============================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - kontrola jmena databaze PDA}
procedure form_dbCheck(Sender: TObject);
var script : string;
begin
  script := RegexReplace('[^\w]',Trim(ADSForm_cmb_db_AD_CustomName.Text), '_', False);
  if script = '' Then script := 'cachedb_bak';
  ADSForm_cmb_db_AD_CustomName.Text := script;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - kontrola hodnoty TrkDistToTrim}
procedure form_TrkDistToTrimChanged(Sender: TObject);
begin
  if RegexExtract('\d*', TrkDivideForm_ed_DistToTrim.Text) <> TrkDivideForm_ed_DistToTrim.Text then begin
    ShowMessage('Enter valid value! (0-999)');
    TrkDivideForm_ed_DistToTrim.Text := '10';
  end;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - nacteni registru PDA}
procedure form_ReadADini(Sender: TObject);
begin
  ReadADini(True, True);
end;
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - zobrazi offline nastaveni z aDrake - aDrakeSync.ini}
procedure form_ViewADini(Sender: TObject);
begin
  ADSetForm_mem_Ini.Lines.Clear;
  if FileExists(MakroPath + 'Data\aDrake.ini') then begin
    ADSetForm_mem_Ini.Lines.Add(FileToString(MakroPath + 'Data\aDrake.ini'));
  end
  else begin
    ADSetForm_mem_Ini.Lines.Add(_(';### Ini file not found or is empty ###'));
  end;
  if ADSetForm.ShowModal = 1 then StringToFile(ADSetForm_mem_Ini.Text, MakroPath + 'Data\aDrake.ini');
end;
//===============================================================================================================================
//-------------------------------------------------------------------------------------------------------------------------------
{Procedury formulare - rizeni Enbl/Dsbl prvku formulare}
procedure form_DsblEnbl(Sender: TObject);
begin
  // Ini file
  ADSForm_btn_ReadADini            .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_ed_AD_disc               .Enabled :=     ADSForm_rb_CardReader   .Checked or      ADSForm_rb_MTP              .Checked;
  ADSForm_ed_AD_IniFile            .Enabled :=     ADSForm_rb_CardReader   .Checked or      ADSForm_rb_MTP              .Checked;
  ADSForm_btn_SelDisc              .Enabled :=     ADSForm_rb_CardReader   .Checked or      ADSForm_rb_MTP              .Checked;

  // a:Drake database
  ADSForm_rb_db_AD_Default         .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_rb_db_AD_Custom          .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_cmb_db_AD_CustomName     .Enabled := not ADSForm_rb_Offline      .Checked and     ADSForm_rb_db_AD_Custom     .Checked;
  ADSForm_btn_dbSeek               .Enabled := not ADSForm_rb_Offline      .Checked and     ADSForm_rb_db_AD_Custom     .Checked;

  // PDA->PC
  ADSForm_btn_PDA_PC               .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_btn_Upd_db_GG_Set        .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_cb_Upd_db_GG             .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_dt_db_LastUpdate_Date    .Enabled := ADSForm_cb_Upd_db_GG        .Checked and not ADSForm_rb_Offline          .Checked;
  ADSForm_dt_db_LastUpdate_Time    .Enabled := ADSForm_cb_Upd_db_GG        .Checked and not ADSForm_rb_Offline          .Checked;
  ADSForm_lbl_db_LastUpdate        .Enabled := ADSForm_cb_Upd_db_GG        .Checked and not ADSForm_rb_Offline          .Checked;
  // Specify
  UpdGGForm_cb_Del_FieldNotes      .Enabled := UpdGGForm_cb_Upd_FieldNotes .Checked and     (ADSForm_rb_CardReader       .Checked or      ADSForm_rb_MTP              .Checked);
  UpdGGForm_cb_Upd_Tracks          .Enabled := not ADSForm_rb_Offline      .Checked;
  UpdGGForm_cb_Del_Tracks          .Enabled := UpdGGForm_cb_Upd_Tracks     .Checked and     (ADSForm_rb_CardReader       .Checked or      ADSForm_rb_MTP              .Checked);

  // PC -> PDA
  ADSForm_btn_PC_PDA               .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_btn_Upd_db_AD_Set        .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_cb_Upd_db_AD             .Enabled := not ADSForm_rb_Offline      .Checked;
  ADSForm_cb_Sync_Img              .Enabled := not ADSForm_rb_Offline      .Checked and not ADSForm_rb_MTP              .Checked;
  ADSForm_cb_Sync_Attach           .Enabled := not ADSForm_rb_Offline      .Checked and not ADSForm_rb_MTP              .Checked;

  // PC -> Web
  ADSForm_dt_FN_LastUpdate_Date    .Enabled := ADSForm_cb_Gen_FieldNotes_GG.Checked;
  ADSForm_dt_FN_LastUpdate_Time    .Enabled := ADSForm_cb_Gen_FieldNotes_GG.Checked;
  ADSForm_lbl_FN_LastUpdate        .Enabled := ADSForm_cb_Gen_FieldNotes_GG.Checked;
  ADSForm_rb_Upl_FieldNotes_GG     .Enabled := ADSForm_cb_Upl_FieldNotes   .Checked;
  ADSForm_rb_Upl_FieldNotes_AD     .Enabled := ADSForm_cb_Upl_FieldNotes   .Checked;

  // All
  ADSForm_btn_All                  .Enabled := not ADSForm_rb_Offline      .Checked;

  // Maps
  ADSForm_btn_Map                  .Enabled :=     ADSForm_rb_CardReader   .Checked or      ADSForm_rb_MTP              .Checked;
  // Track
  ADSForm_btn_Trk                  .Enabled := True;
  TrkDivideForm_dt_TimeToTrim      .Enabled := TrkDivideForm_cb_TimeToTrimEnbl .Checked;
  TrkDivideForm_ed_DistToTrim      .Enabled := TrkDivideForm_cb_TrackToTrimEnbl.Checked;
  TrkDivideForm_lb_km              .Enabled := TrkDivideForm_cb_TrackToTrimEnbl.Checked;
  // FieldNotes
  ADSForm_btn_FN                   .Enabled := True;
end;
//-------------------------------------------------------------------------------------------------------------------------------
{nastaveni ovladacu udalosti formulare}
procedure FormEventSet;
begin
  ADSForm_btn_PDA_PC          .onClick  := @form_PDA_PC;
  ADSForm_btn_PC_Web          .onClick  := @form_PC_Web;
  ADSForm_btn_PC_PDA          .onClick  := @form_PC_PDA;
  ADSForm_btn_All             .onClick  := @form_All;
  ADSForm_btn_Update          .onClick  := @form_Update;
  ADSForm_btn_Save            .onClick  := @form_SaveProfile;
  ADSForm_btn_Del             .onClick  := @form_DelProfile;
  ADSForm_btn_Default         .onClick  := @form_ReadFactoryProfile;
  ADSForm_btn_dbSeek          .onClick  := @form_dbSeek;
  ADSForm_btn_Settings        .onClick  := @form_ShowSetForm;
  ADSForm_btn_Help            .onClick  := @form_Help;
  ADSForm_btn_Upd_db_GG_Set   .onClick  := @form_ShowUpd_db_GG_Set_Form;
  ADSForm_btn_Upd_db_AD_Set   .onClick  := @form_ShowUpd_db_AD_Set_Form;
  ADSForm_btn_Log             .onClick  := @form_ShowLogForm;
  ADSForm_btn_Trk             .onClick  := @form_ShowTrkForm;
  ADSForm_btn_Map             .onClick  := @form_ShowMapForm;
  ADSForm_btn_FN              .onClick  := @form_ShowFnForm;
  ADSForm_btn_SelDisc         .onClick  := @form_CardPath;
  ADSForm_btn_ReadADini       .onClick  := @form_ReadADini;
  ADSForm_btn_ViewADini       .onClick  := @form_ViewADini;
  MapForm_btn_Refresh         .onClick  := @form_MapConfDbRefr;
  MapForm_btn_SelDisc         .onClick  := @form_CardPath;
  MapForm_btn_SelOziPath      .onClick  := @form_OziPath;
  MapForm_btn_SelMobacPath    .onClick  := @form_MobacPath;
  MapForm_btn_ImpOzi          .onClick  := @form_MapImpOzi;
  MapForm_btn_ImpMobac        .onClick  := @form_MapImpMobac;
  MapForm_btn_ImpGeoKuk       .onClick  := @form_MapImpGeoKuk;
  MapForm_btn_Stop            .onClick  := @form_MapStop;
  MapForm_btn_Manage          .onClick  := @form_MapManage;
  MapForm_btn_Delete          .onClick  := @form_MapDelete;
  MapForm_lb_Map              .onClick  := @form_MapSel;
  MapForm_lb_MapType          .onClick  := @form_MapTypeSel;
  MapForm_cb_ShowInfo         .onClick  := @form_GetMapInfo;
  MapMngForm_btn_Stop         .onClick  := @form_MapStop;
  MapMngForm_btn_Refresh      .onClick  := @form_GetMapRegionInfo;
  TrkForm_btn_Divide          .onClick  := @form_ShowTrkDivideForm;
  TrkForm_btn_Preview         .onClick  := @form_TrkView;
  TrkForm_btn_Save            .onClick  := @form_TrkSave;
  TrkForm_btn_Delete          .onClick  := @form_TrkDelete;
  TrkForm_btn_Combine         .onClick  := @form_TrkCombine;
  TrkForm_btn_Refresh         .onClick  := @form_TrkRead;
  TrkForm_btn_ArrName_Up      .onClick  := @form_TrkRead;
  TrkForm_btn_ArrName_Dwn     .onClick  := @form_TrkRead;
  TrkForm_btn_ArrDate_Up      .onClick  := @form_TrkRead;
  TrkForm_btn_ArrDate_Dwn     .onClick  := @form_TrkRead;
  TrkForm_btn_ArrID_Up        .onClick  := @form_TrkRead;
  TrkForm_btn_ArrID_Dwn       .onClick  := @form_TrkRead;
  TrkForm_btn_Upload          .onClick  := @form_db_Trk_Upl;
  TrkForm_btn_Download        .onClick  := @form_db_Trk_Dwn;
  TrkForm_btn_Rename          .onClick  := @form_TrkRename;
  TrkForm_btn_New             .onClick  := @form_TrkNew;
  TrkForm_btn_Trip            .onClick  := @form_TrkTrip;
  TrkForm_lb_Track            .onClick  := @form_TrkInfo;
  TrkDivideForm_ed_DistToTrim .onChange := @form_TrkDistToTrimChanged;
  FnForm_btn_Upload           .onClick  := @form_db_FN_Upl;
  FnForm_btn_Download         .onClick  := @form_db_FN_Dwn;
  FnForm_btn_Refresh          .onClick  := @form_FnRead;
  FnForm_btn_Delete           .onClick  := @form_FNDelete;
  FnForm_lb_FN                .onClick  := @form_FnInfo;
  LogForm_btn_Delete          .onClick  := @form_DeleteLog;
  ADSForm_cmb_Profile         .onChange := @form_ProfileChanged;
  ADSForm_cmb_db_AD_CustomName.onChange := @form_dbCheck;
  SetForm_cb_ToolBar          .onClick  := @form_ToolBar;

  ADSForm_rb_FTP              .OnClick  := @form_DsblEnbl;
  ADSForm_rb_CardReader       .OnClick  := @form_DsblEnbl;
  ADSForm_rb_MTP              .OnClick  := @form_DsblEnbl;
  ADSForm_rb_Offline          .OnClick  := @form_DsblEnbl;
  ADSForm_rb_db_AD_Default    .OnClick  := @form_DsblEnbl;
  ADSForm_rb_db_AD_Custom     .OnClick  := @form_DsblEnbl;
  ADSForm_cb_Upd_db_GG        .OnClick  := @form_DsblEnbl;
  ADSForm_cb_Upd_db_AD        .OnClick  := @form_DsblEnbl;
  ADSForm_cb_Gen_FieldNotes_GG.OnClick  := @form_DsblEnbl;
  UpdGGForm_cb_Upd_FieldNotes .OnClick  := @form_DsblEnbl;
  ADSForm_cb_Upl_FieldNotes   .OnClick  := @form_DsblEnbl;
  UpdGGForm_cb_Upd_Tracks     .OnClick  := @form_DsblEnbl;
  ADSForm_cb_Upd_db_AD        .OnClick  := @form_DsblEnbl;
  EndForm_cb_ShowList_ggf     .OnClick  := @form_DsblEnbl;
  TrkDivideForm_cb_TimeToTrimEnbl .OnClick := @form_DsblEnbl;
  TrkDivideForm_cb_TrackToTrimEnbl.OnClick := @form_DsblEnbl;
end;
